## ros-kinetic-glkh-solver 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(glkh_solver)

find_package(catkin REQUIRED COMPONENTS
  lkh_solver
  roscpp
)

catkin_package(
  CATKIN_DEPENDS
    lkh_solver
    roscpp
)
include_directories(include)

# Build libraries
set(COMMON_SRC_FILES
  src/SolveGTSP.c
  src/SolveTSP.c
  src/PostOptimize.c
  src/Distance.c
  src/Distance_SPECIAL.c
  src/eprintf.c
  src/fscanint.c
  src/GetTime.c
  src/IsCandidate.c
  src/printff.c
  src/PrintParameters.c
  src/Random.c
  src/ReadLine.c
  src/ReadParameters.c
  src/ReadPenalties.c
  src/ReadProblem.c
  src/Statistics.c
  src/WriteTour.c
)

# Build nodes
add_executable(glkh_solver src/GLKHmain.c ${COMMON_SRC_FILES})
target_link_libraries(glkh_solver -lm)
add_executable(glkh_exp_solver src/GLKH_EXPmain.c ${COMMON_SRC_FILES})
target_link_libraries(glkh_exp_solver -lm)
add_executable(glkh_check_solver src/GLKH_CHECKmain.c ${COMMON_SRC_FILES})
target_link_libraries(glkh_check_solver -lm)

# Tests
catkin_add_nosetests(tests/test_modules.py)

# Install nodes
install(
  TARGETS
    glkh_solver
    glkh_exp_solver
    glkh_check_solver
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install instances
install(
  DIRECTORY gtsplib
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-glkh-solver (0.1.1-0xenial) xenial; urgency=high

  * Fix installation bugs
  * Contributors: fsuarez6

 -- Francisco Suarez-Ruiz <fsuarez6@gmail.com>  Sun, 24 Sep 2017 16:00:00 -0000

ros-kinetic-glkh-solver (0.1.0-0xenial) xenial; urgency=high

  * Initial release
  * Contributors: fsuarez6

 -- Francisco Suarez-Ruiz <fsuarez6@gmail.com>  Sun, 24 Sep 2017 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-glkh-solver
Section: misc
Priority: extra
Maintainer: Francisco Suarez-Ruiz <fsuarez6@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-lkh-solver, ros-kinetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-glkh-solver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-lkh-solver, ros-kinetic-roscpp
Description: ROS package for solving the Generalized Traveling Salesman Problem using the Lin–Kernighan heuristic.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-glkh-solver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
